Skip to main content
POST
/
api
/
v1
/
analytics
/
query
Custom analytics query
curl --request POST \
  --url https://api.webscraping.titannet.io/api/v1/analytics/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metrics": [
    "<string>"
  ],
  "group_by": [
    "<string>"
  ],
  "filters": [
    {
      "field": "<string>",
      "operator": "<string>",
      "value": "<unknown>"
    }
  ],
  "time_range": {
    "start_time": "<string>",
    "end_time": "<string>"
  }
}
'
{
  "success": true,
  "data": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://webscraping.titannet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
metrics
string[]
required
group_by
string[]
filters
object[]
time_range
object

Response

200 - application/json

OK

success
boolean
data
any